org.eclipse.ease.lang.python.debugger.actions

## Class MagicFilterAction

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerFilter
  - - org.eclipse.ease.lang.python.debugger.actions.ViewFilterAction
    - - org.eclipse.ease.lang.python.debugger.actions.MagicFilterAction

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2, IViewActionDelegate

    public class MagicFilterAction
    extends ViewFilterAction

`ViewFilterAction` for hiding Python magic variables.

### Constructor Summary

Constructors
Constructor and Description
`MagicFilterAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `select(Viewer viewer, java.lang.Object parentElement, java.lang.Object element)`

### Methods inherited from class org.eclipse.ease.lang.python.debugger.actions.ViewFilterAction

`dispose, init, init, run, runWithEvent, selectionChanged`

### Methods inherited from class org.eclipse.jface.viewers.ViewerFilter

`filter, filter, isFilterProperty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MagicFilterAction

    public MagicFilterAction()

### Method Detail

#### select

    public boolean select(Viewer viewer,
                          java.lang.Object parentElement,
                          java.lang.Object element)

Specified by:
  `select` in class `ViewerFilter`